Skip to main content
Query global hardware brands
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

summary
boolean

Only summary of the records required

namePattern
string

Brand name pattern to be matched.

originType
enum<string>
default:ORIGIN_UNSPECIFIED

origin of object

  • ORIGIN_UNSPECIFIED: default options, which says no Operation/Invalid Operation
  • ORIGIN_IMPORTED: Object imported from global enterprise.
  • ORIGIN_LOCAL: Objectl created locally.
  • ORIGIN_GLOBAL: Object created in global store, to use this type user should have root previlage.
  • ORIGIN_APP_PROFILE_LOCAL: Object created via App profile
Available options:
ORIGIN_UNSPECIFIED,
ORIGIN_IMPORTED,
ORIGIN_LOCAL,
ORIGIN_GLOBAL,
ORIGIN_APP_PROFILE_LOCAL
titlePattern
string

Brand title pattern to be matched.

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

Response

A successful response.

SysBrands used when listing the available brands, if consists of various brand attributes like terse, model list and next filter.

terse
Summary is used to store the Summary details · object

Summary of filtered model records

list
SysBrand payload details · object[]

List of filtered Sys Models

next
Cursor is used as filter in list operation. · object

Responded page details of filtered records